# AP4_SampleTable Class Reference

`#include <Ap4SampleTable.h>`

Inheritance diagram for AP4_SampleTable:

List of all members.

## Public Member Functions
virtual | ~AP4_SampleTable ()
virtual AP4_Result | GenerateStblAtom (AP4_ContainerAtom *&stbl)
virtual AP4_Result | GetSample (AP4_Ordinal sample_index, AP4_Sample &sample)=0
virtual AP4_Cardinal | GetSampleCount ()=0
virtual AP4_Result | GetSampleChunkPosition (AP4_Ordinal sample_index, AP4_Ordinal &chunk_index, AP4_Ordinal &position_in_chunk)=0
virtual AP4_Cardinal | GetSampleDescriptionCount ()=0
virtual AP4_SampleDescription * | GetSampleDescription (AP4_Ordinal index)=0
virtual AP4_Result | GetSampleIndexForTimeStamp (AP4_TimeStamp ts, AP4_Ordinal &index)=0

## Detailed Description

Definition at line 47 of file Ap4SampleTable.h.

## Constructor & Destructor Documentation

virtual AP4_SampleTable::~AP4_SampleTable | ( |  | ) | `[inline, virtual]`

Definition at line 50 of file Ap4SampleTable.h.

## Member Function Documentation

virtual AP4_Result AP4_SampleTable::GenerateStblAtom | ( | AP4_ContainerAtom *& | stbl | ) | `[virtual]`

virtual AP4_Result AP4_SampleTable::GetSample | ( | AP4_Ordinal | sample_index,
|  | AP4_Sample & | sample |
| ) |  |  | `[pure virtual]`

Implemented in AP4_AtomSampleTable, and AP4_SyntheticSampleTable.

virtual AP4_Cardinal AP4_SampleTable::GetSampleCount | ( |  | ) | `[pure virtual]`

Implemented in AP4_AtomSampleTable, and AP4_SyntheticSampleTable.

virtual AP4_Result AP4_SampleTable::GetSampleChunkPosition | ( | AP4_Ordinal | sample_index,
|  | AP4_Ordinal & | chunk_index,
|  | AP4_Ordinal & | position_in_chunk |
| ) |  |  | `[pure virtual]`

Implemented in AP4_AtomSampleTable, and AP4_SyntheticSampleTable.

virtual AP4_Cardinal AP4_SampleTable::GetSampleDescriptionCount | ( |  | ) | `[pure virtual]`

Implemented in AP4_AtomSampleTable, and AP4_SyntheticSampleTable.

virtual AP4_SampleDescription* AP4_SampleTable::GetSampleDescription | ( | AP4_Ordinal | index | ) | `[pure virtual]`

Implemented in AP4_AtomSampleTable, and AP4_SyntheticSampleTable.

virtual AP4_Result AP4_SampleTable::GetSampleIndexForTimeStamp | ( | AP4_TimeStamp | ts,
|  | AP4_Ordinal & | index |
| ) |  |  | `[pure virtual]`

Implemented in AP4_AtomSampleTable, and AP4_SyntheticSampleTable.

The documentation for this class was generated from the following file:

- Ap4SampleTable.h